package com.example.bookingapp_austinblanke;

import androidx.appcompat.app.AppCompatActivity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.EditText;
import android.widget.Toast;

public class LoginActivity extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.login_activity);
    }

    public void createAccount(View view) {
        createAccount();
    }
    private void createAccount(){
        Intent intent = new Intent(this, CreateAccountActivity.class);
        startActivity(intent);
    }

    public void login(View view) {
        login();
    }

    private void login() {
        DatabaseConnector connector = new DatabaseConnector(this, null);

        EditText username = findViewById(R.id.Username);
        EditText password = findViewById(R.id.Password);

        boolean success = connector.login(username.getText().toString(), password.getText().toString());
        if (success) {
            Intent intent = new Intent(this, MainActivity.class);
            startActivity(intent);
        }
        else
            Toast.makeText(this, "incorrect username or password", Toast.LENGTH_SHORT).show();
    }


}