package com.example.bookingapp_austinblanke;

import androidx.appcompat.app.AppCompatActivity;
import android.content.Intent;
import android.database.Cursor;
import android.database.sqlite.SQLiteDatabase;
import android.os.Bundle;
import android.view.View;
import android.widget.EditText;
import android.widget.Toast;

public class CreateAccountActivity extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.createaccount_activity);
    }

    public void createAccount(View view) {this.createAccount();}

    private void createAccount()
    {
        DatabaseConnector connector = new DatabaseConnector(this, null);

        EditText username = findViewById(R.id.Username);
        EditText password = findViewById(R.id.Password);

        if (username.length() == 0 || password.length() == 0){
            Toast.makeText(this, "username or password not provided", Toast.LENGTH_SHORT).show();
        }
        else{

            if (connector.usernameRepeat(username.getText().toString())){
                Toast.makeText(this, "username already taken", Toast.LENGTH_SHORT).show();
            }
            else{
                connector.addNewUser(username.getText().toString(), password.getText().toString());

                Intent intent = new Intent(this, LoginActivity.class);
                startActivity(intent);
            }
        }
    }

}
