package com.example.bookingapp_austinblanke;

import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.EditText;
import android.widget.TextView;
import android.widget.Toast;

import androidx.appcompat.app.AppCompatActivity;


public class SingleBookingActivity extends AppCompatActivity {
    String BID;
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.singlebooking);

        Bundle loginBundle = getIntent().getExtras();
        BID = loginBundle.getString("BID");

        String PID = null;
        String Title = null;
        String Date = null;
        String Time = null;
        String Location = null;
        String Flash = null;
        String Wheelchair = null;
        String Stairs = null;
        String Flashdis = null;
        String Wheelchairdis = null;
        String Stairsdis = null;
        String Tickets1Type = null;
        String Tickets2Type = null;
        String Tickets3Type = null;
        String Tickets1 = null;
        String Tickets2 = null;
        String Tickets3 = null;
        String Tickets1Price = null;
        String Tickets2Price = null;
        String Tickets3Price = null;

        DatabaseConnector connector = new DatabaseConnector(this, null);
        PID = connector.getBookingInfo(BID, 1);

        Title = connector.getInfo(PID, 1);
        Date = connector.getInfo(PID, 2);
        Time = connector.getInfo(PID, 3);
        Location = connector.getInfo(PID, 4);
        Flash = connector.getInfo(PID, 5);
        Wheelchair = connector.getInfo(PID, 6);
        Stairs = connector.getInfo(PID, 7);

        if(Flash == "true"){Flashdis = "There are Flashing Lights";}
        else{Flashdis = "There are no flashing lights";}

        if(Wheelchair == "true"){Wheelchairdis = "There is wheelchair access";}
        else{Wheelchairdis = "There is no wheelchair access";}

        if(Stairs == "true"){Stairsdis = "There are less than 20 steps";}
        else{Stairsdis = "There are more than 20 steps";}

        TextView title = (TextView) findViewById(R.id.BTitle);
        title.setText(Title);
        TextView date = (TextView) findViewById(R.id.date);
        date.setText(Date);
        TextView time = (TextView) findViewById(R.id.time);
        time.setText(Time);
        TextView location = (TextView) findViewById(R.id.location);
        location.setText(Location);
        TextView flash = (TextView) findViewById(R.id.flash);
        flash.setText(Flashdis);
        TextView wheel = (TextView) findViewById(R.id.wheelchair);
        wheel.setText(Wheelchairdis);
        TextView stairs = (TextView) findViewById(R.id.stairs);
        stairs.setText(Stairsdis);

        Tickets1 = connector.getBookingInfo(BID, 2);
        Tickets2 = connector.getBookingInfo(BID, 3);
        Tickets3 = connector.getBookingInfo(BID, 4);
        Tickets1Price = connector.getTicketPrice(PID, 1);
        Tickets2Price = connector.getTicketPrice(PID, 2);
        Tickets3Price = connector.getTicketPrice(PID, 3);
        Tickets1Type = connector.getTicketType(PID, 1);
        Tickets2Type = connector.getTicketType(PID, 2);
        Tickets3Type = connector.getTicketType(PID, 3);

        TextView ticket1 = (TextView) findViewById(R.id.tickets1);
        TextView ticket2 = (TextView) findViewById(R.id.tickets2);
        TextView ticket3 = (TextView) findViewById(R.id.tickets3);

        if(Tickets1 != null){ticket1.setText(Tickets1Type + ": " + Tickets1 + " (£" + Tickets1Price + ")");}
        else{ticket1.setText("");}
        if(Tickets2 != null){ticket2.setText(Tickets2Type + ": " + Tickets2 + " (£" + Tickets2Price + ")");}
        else{ticket2.setText("");}
        if(Tickets3 != null){ticket3.setText(Tickets3Type + ": " + Tickets3 + " (£" + Tickets3Price + ")");}
        else{ticket3.setText("");}
    }

    public void myBookings(View view){
        Intent intent = new Intent(this, MyBookingsActivity.class);
        startActivity(intent);
    }

    public void deleteBooking(View view){
        DatabaseConnector connector = new DatabaseConnector(this, null);
        connector.deleteBooking(Integer.valueOf(BID));
        Intent intent = new Intent(this, MyBookingsActivity.class);
        startActivity(intent);
    }

}
